Bug 445617 - Gradient: Mesh Gradient is not responding at first time invocation
Summary: Gradient: Mesh Gradient is not responding at first time invocation
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Vector (show other bugs)
Version: 4.4.8
Platform: macOS (DMG) macOS
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-16 21:52 UTC by Hoang Duy Tran
Modified: 2021-11-22 10:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hoang Duy Tran 2021-11-16 21:52:21 UTC
SUMMARY
When invoke the first time, the Mesh Gradient option doesn't show any changes on the canvas


STEPS TO REPRODUCE
1. Start Krita, use any default setting for new image
2. Delete the current paint layer, add a vector layer
3. Select the rectangle tool, make sure the options are 
- Fill: Background color
- Outline: No Outline
4. Choose a none black/white background color
5. Draw a rectangle, it should be filled with the chosen background color
6. Use select tool and select the shape.
7. In the Tool Options, select the 'Fill' option (third on the right), the text you can see is 'Solid'
8. Select the 4th Option (Mesh Gradient icon), the 4th option, next to the text 'Solid'
9. Nothing appeared to have happened on the canvas.
10. Now change to 'Solid' (second icon) again, then back to 4th option 'Mesh Gradient' (second invocation), now you can see changes on the canvas.

OBSERVED RESULT
At the first time invocation, the canvas remains at the state before, as if nothing is happening. I'm not saying the code underneath doesn't performing anything, but going on the changes on the canvas, it appears as if NOTHING is being done. However, on subsequent invocations, the display of changes is instant, showing that the code performed the action as required. Maybe at the first invocation, the screen is NOT REFRESHED as expected.

EXPECTED RESULT
As soon as the option 'Mesh Gradient' is chosen, the transform will be reflected on the canvas immediately

SOFTWARE/OS VERSIONS
macOS: 10.17.5


ADDITIONAL INFORMATION
Please see testing steps from this screencast (https://drive.google.com/file/d/1bxlvFSlbxkFiTT60_UvymetmUhkiBRmy/view?usp=sharing)
Comment 1 sh_zam 2021-11-22 09:41:39 UTC
Git commit 2f2175bf0e2642b8cf74f91b262c5b561e8c55f6 by Sharaf Zaman.
Committed on 22/11/2021 at 09:40.
Pushed by szaman into branch 'master'.

Bugfix: Mesh gradient not responding to first invocation

M  +1    -0    libs/ui/widgets/KoFillConfigWidget.cpp

https://invent.kde.org/graphics/krita/commit/2f2175bf0e2642b8cf74f91b262c5b561e8c55f6
Comment 2 sh_zam 2021-11-22 10:04:21 UTC
Git commit 45feddb17aceffad60de45f58707b9d9fb471321 by Sharaf Zaman.
Committed on 22/11/2021 at 09:43.
Pushed by szaman into branch 'krita/5.0'.

Bugfix: Mesh gradient not responding to first invocation
(cherry picked from commit 2f2175bf0e2642b8cf74f91b262c5b561e8c55f6)

M  +1    -0    libs/ui/widgets/KoFillConfigWidget.cpp

https://invent.kde.org/graphics/krita/commit/45feddb17aceffad60de45f58707b9d9fb471321